Unable to install libapache2-mod-wsgi-py3

I am having some issues with wsgi and getting my django api up and running using apache. I think the issue is the mod_wsgi.so. I have already installed libapache2-mod-wsgi, but my venv is configured using python 3.6. Based on my research I think I need libapache2-mod-wsgi-py3.

Trying to install with sudo yum install libapache2-mod-wsgi-py3 returns

Loaded plugins: extras_suggestions, langpacks, priorities, update-motd
amzn2-core                                                                                                                                                                                                                                                                                                                                           | 3.7 kB  00:00:00
No package libapache2-mod-wsgi-py3 available.
Error: Nothing to do

Error log shows:

Traceback (most recent call last):
[Tue Dec 20 19:02:24.660246 2022] [:error] [pid 13266]    File ".../project/project/wsgi.py", line 13, in <module>
[Tue Dec 20 19:02:24.660275 2022] [:error] [pid 13266]      from django.core.wsgi import get_wsgi_application
[Tue Dec 20 19:02:24.660283 2022] [:error] [pid 13266]    File ".../lib/python3.6/site-packages/django/__init__.py", line 1, in <module>
[Tue Dec 20 19:02:24.660295 2022] [:error] [pid 13266]      from django.utils.version import get_version
[Tue Dec 20 19:02:24.660302 2022] [:error] [pid 13266]    File ".../lib/python3.6/site-packages/django/utils/version.py", line 7, in <module>
[Tue Dec 20 19:02:24.660313 2022] [:error] [pid 13266]      from django.utils.regex_helper import _lazy_re_compile
[Tue Dec 20 19:02:24.660319 2022] [:error] [pid 13266]    File ".../lib/python3.6/site-packages/django/utils/regex_helper.py", line 10, in <module>
[Tue Dec 20 19:02:24.660330 2022] [:error] [pid 13266]      from django.utils.functional import SimpleLazyObject
[Tue Dec 20 19:02:24.660336 2022] [:error] [pid 13266]   File ".../lib/python3.6/site-packages/django/utils/functional.py", line 362, in <module>
[Tue Dec 20 19:02:24.660357 2022] [:error] [pid 13266]      class SimpleLazyObject(LazyObject):
[Tue Dec 20 19:02:24.660375 2022] [:error] [pid 13266]  TypeError: Error when calling the metaclass bases
[Tue Dec 20 19:02:24.660378 2022] [:error] [pid 13266]      'property' object is not callable

Figured out the package error. For anyone wondering I ran yum search wsgi and discovered that the libapache2-mod-wsgi-py3 is actually python3-mod_wsgi.x86_64.

Back to Top